%define		_modname	radius
%define		_status		stable
%define		_sysconfdir	/etc/php
Summary:	Radius client library
Summary(pl.UTF-8):	Biblioteka klienta Radiusa
Name:		php-pecl-%{_modname}
Version:	1.2.5
Release:	5
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	25d867dab8def71ab1b3e2410491ff4d
URL:		http://pecl.php.net/package/radius/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is based on the libradius of FreeBSD. This PECL adds full
support for Radius Authentication (RFC 2865) and Radius Accounting
(RFC 2866). This package is available for Unix and for Windows.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet jest bazowany na libradius z FreeBSD. Ten PECL dodaje pełne
wsparcie dla autentyfikacji Radius (RFC 2865) oraz dla accountingu
Radius (RFC 2866). Ten pakiet jest osiągalny dla systemów Unix oraz
Windows.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure

%{__make} \
	CPPFLAGS="-DHAVE_CONFIG_H -I/usr/X11R6/include/X11/" \
	CFLAGS_CLEAN="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} -C %{_modname}-%{version} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%triggerpostun -- %{name} < 1.2.4-4
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{_modname}\.so/d' %{php_sysconfdir}/php.ini

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/examples/*.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 24dc229
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 17585eb
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 55e4ee7
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4b13395
- release 2

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 160ad51
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 59889f3
- up to 1.2.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5d774a3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b0d832f
- converted to UTF-8

* Tue Jan 16 2007 Elan Ruusamäe <glen@pld-linux.org> 612baca
- use new php extension macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 16fa0b7
- rel 9 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> faf3d07
- BR rpmmacros for fixed %requires_php_extension

* Thu Apr 27 2006 Elan Ruusamäe <glen@pld-linux.org> b6090ae
- use sed directly in trigger, rel 8

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 15a6c36
- rel 7 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 302315a
- rel 6

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> bc8e763
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 5d6fa19
- conf.d and php api macros

* Mon Sep 12 2005 Elan Ruusamäe <glen@pld-linux.org> 8b1fc4d
- ./adapter -s

* Sun Aug 14 2005 domelu <domelu@pld-linux.org> a0eec75
- release 3, rebuild

* Sun Oct 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 9d7a742
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> eedb11e
- fixed english information about status of the package (also s/PEAR/PECL/)

